Services How It Works Blog Free Reseller Panel API Login Sign Up Free

Introducció

L'API Resimi us permet integrar els nostres serveis SMM al vostre propi panell, aplicació o flux de treball. Totes les sol·licituds retornen JSON. L'API és compatible amb el format estàndard d'API del panell SMM utilitzat per JAP, SMMKings, Peakerr i altres, cosa que facilita el canvi o la integració.

URL base: https://resimi.xyz/api/v2.php

Tots els punts finals accepten tant sol·licituds GET com POST. Utilitzeu POST per a comandes i cancel·lacions, GET per a consultes de només lectura.

Autenticació

Cada sol·licitud ha d'incloure la vostra clau API com a paràmetre key.

La vostra clau d'API es troba a Configuració del compte → Accés a l'API. Manteniu-lo en secret: té accés complet al vostre compte i al vostre saldo.
GET https://resimi.xyz/api/v2.php?key=YOUR_API_KEY&action=balance

Errors

Tots els errors retornen un objecte JSON amb una clau error:

{"error": "Insufficient balance. Please add funds."}
Missatge d'errorSignificat
Clau API no vàlidaLa clau és incorrecta o el compte està suspès
Balanç insuficientAfegiu fons abans de fer comandes
Servei no trobat o inactiuL'identificador de servei és incorrecte o el servei està desactivat
La quantitat ha d'estar entre X i YQuantitat fora de l'interval permès per a aquest servei
No s'ha trobat la comandaL'identificador de comanda no existeix o pertany a un altre usuari
La comanda no es pot cancel·larLa comanda ja està completada o cancel·lada

Obteniu serveis

Retorna la llista completa de serveis actius amb tarifes i límits.

GET https://resimi.xyz/api/v2.php?key=YOUR_API_KEY&action=services

Paràmetres

ParàmetreTipusDescripció
key requiredstringLa teva clau de l'API
action requiredstringHa de ser serveis

Resposta

[
  {
    "service": 1234,
    "category": "Instagram",
    "name": "Instagram Followers — HQ | Refill 30 days",
    "type": "Default",
    "rate": "0.5000",
    "min": 100,
    "max": 100000,
    "dripfeed": true,
    "refill": true,
    "cancel": false
  },
  ...
]

Fes la comanda

Fa una nova comanda. El saldo es dedueix immediatament. Retorna l'ID de la comanda.

POST https://resimi.xyz/api/v2.php
ParàmetreTipusDescripció
key requiredstringLa teva clau de l'API
action requiredstringHa de ser afegir
service requiredintegerID de servei de la llista de serveis
link requiredstringURL del perfil o publicació de destinació
quantity requiredintegerQuantitat total a lliurar
runs optionalintegerNombre de tirades d'alimentació per degoteig (per defecte: 1)
interval optionalintegerMinuts entre tirades d'alimentació per degoteig (per defecte: 0)
comments optionalstringComentaris personalitzats (per als serveis de comentaris), un per línia

Resposta — Èxit

{"order": 98765}

Resposta — Error

{"error": "Insufficient balance. Please add funds."}
Alimentació per goteig: Estableix execucions = nombre de lots i interval = minuts entre cadascun. Exemple: 1.000 seguidors durant 7 dies: quantity=1000&runs=7&interval=1440

Estat de la comanda

Comproveu l'estat actual d'una comanda.

GET https://resimi.xyz/api/v2.php?key=YOUR_API_KEY&action=status&order=ORDER_ID
ParàmetreTipusDescripció
key requiredstringLa teva clau de l'API
action requiredstringHa de ser estat
order requiredintegerIdentificador de comanda retornat de <code>add</code>

Resposta

{
  "charge": "0.5000",
  "start_count": 1240,
  "status": "In_progress",
  "remains": 630,
  "currency": "USD"
}

Valors d'estat

EstatSignificat
PendingA l'espera de ser enviat al proveïdor
ProcessingEnviat al proveïdor, a la cua
In_progressLliurament en curs
CompletedTotalment lliurat
PartialEntregat parcialment, restant reemborsat
CancelledCancel·lat, restant reemborsat

Cancel·la la comanda

Cancel·la una comanda pendent o en curs. La part no lliurada es reemborsa al vostre saldo.

POST https://resimi.xyz/api/v2.php
ParàmetreTipusDescripció
key requiredstringLa teva clau de l'API
action requiredstringHa de ser cancel
order requiredintegerIdentificació de la comanda per cancel·lar

Resposta — Èxit

{"success": true, "refunded": 0.2500}

Comproveu el saldo

Retorna el saldo actual del compte associat a la clau API.

GET https://resimi.xyz/api/v2.php?key=YOUR_API_KEY&action=balance

Resposta

{"balance": "12.4800", "currency": "USD"}

Exemples de codi

<?php
$apiUrl = "https://resimi.xyz/api/v2.php";
$apiKey = "YOUR_API_KEY";

function smmApi(string $url, string $key, array $params): array {
    $params['key'] = $key;
    $ch = curl_init($url);
    curl_setopt_array($ch, [
        CURLOPT_RETURNTRANSFER => true,
        CURLOPT_POST => true,
        CURLOPT_POSTFIELDS => http_build_query($params),
        CURLOPT_TIMEOUT => 30,
    ]);
    $response = curl_exec($ch);
    curl_close($ch);
    return json_decode($response, true) ?? [];
}

// Get services
$services = smmApi($apiUrl, $apiKey, ['action' => 'services']);

// Place an order
$order = smmApi($apiUrl, $apiKey, [
    'action' => 'add',
    'service' => 1234,
    'link' => 'https://instagram.com/yourprofile',
    'quantity' => 1000,
]);
echo "Order ID: " . ($order['order'] ?? 'Error: ' . $order['error']);

// Check balance
$balance = smmApi($apiUrl, $apiKey, ['action' => 'balance']);
echo "Balance: $" . $balance['balance'];
import requests

API_URL = "https://resimi.xyz/api/v2.php"
API_KEY = "YOUR_API_KEY"

def smm_api(params: dict) -> dict:
    params["key"] = API_KEY
    response = requests.post(API_URL, data=params, timeout=30)
    return response.json()

# Get services
services = smm_api({"action": "services"})
for svc in services[:3]:
    print(f"[{svc['service']}] {svc['name']} - ${svc['rate']}/1K")

# Place an order
order = smm_api({
    "action": "add",
    "service": 1234,
    "link": "https://instagram.com/yourprofile",
    "quantity": 1000,
})
print(f"Order ID: {order.get('order', 'Error: ' + order.get('error', ''))}")

# Check status
status = smm_api({"action": "status", "order": order.get("order")})
print(f"Status: {status.get('status')} | Remains: {status.get('remains')}")

# Check balance
balance = smm_api({"action": "balance"})
print(f"Balance: ${balance['balance']}")
const API_URL = "https://resimi.xyz/api/v2.php";
const API_KEY = "YOUR_API_KEY";

async function smmApi(params) {
    const body = new URLSearchParams({ key: API_KEY, ...params });
    const res = await fetch(API_URL, { method: "POST", body });
    return res.json();
}

// Get services
const services = await smmApi({ action: "services" });
console.log(`Found ${services.length} services`);

// Place an order
const order = await smmApi({
    action: "add",
    service: 1234,
    link: "https://instagram.com/yourprofile",
    quantity: 1000,
});
console.log("Order ID:", order.order ?? "Error: " + order.error);

// Check status
const status = await smmApi({ action: "status", order: order.order });
console.log("Status:", status.status, "| Remains:", status.remains);

// Cancel an order
const cancel = await smmApi({ action: "cancel", order: order.order });
console.log("Refunded:", cancel.refunded);

// Check balance
const balance = await smmApi({ action: "balance" });
console.log("Balance: $" + balance.balance);
# Get services
curl -X GET "https://resimi.xyz/api/v2.php?key=YOUR_API_KEY&action=services"

# Place an order
curl -X POST "https://resimi.xyz/api/v2.php" \
  -d "key=YOUR_API_KEY" \
  -d "action=add" \
  -d "service=1234" \
  -d "link=https://instagram.com/yourprofile" \
  -d "quantity=1000"

# Place a drip-feed order (1000 followers over 7 days)
curl -X POST "https://resimi.xyz/api/v2.php" \
  -d "key=YOUR_API_KEY" \
  -d "action=add" \
  -d "service=1234" \
  -d "link=https://instagram.com/yourprofile" \
  -d "quantity=1000" \
  -d "runs=7" \
  -d "interval=1440"

# Check order status
curl -X GET "https://resimi.xyz/api/v2.php?key=YOUR_API_KEY&action=status&order=98765"

# Cancel an order
curl -X POST "https://resimi.xyz/api/v2.php" \
  -d "key=YOUR_API_KEY" \
  -d "action=cancel" \
  -d "order=98765"

# Check balance
curl -X GET "https://resimi.xyz/api/v2.php?key=YOUR_API_KEY&action=balance"
How can we help?